import { Task, RobotAction } from './task';

// 配置文件中的位置选项
export interface LocationOption {
  label: string;
  value: string;
}

// 配置文件中的载荷选项
export interface PayloadOption {
  label: string;
  value: string;
}

// 配置文件中的机器人动作选项
export interface RobotActionOption {
  label: string;
  value: RobotAction;
}

// 完整的配置文件结构
export interface AppConfig {
  version: string;
  locations: LocationOption[];
  locationsBays: LocationOption[];
  payloads: PayloadOption[];
  robotActions: RobotActionOption[];
  tasks: Task[];
  serverUrl?: string; // 服务器地址
}

// 设置存储接口
export interface AppSettings {
  configFileName: string;
  serverUrl: string;
}
